Package org.eclipse.e4.ui.model.application.commands

## Interface MCommand

All Superinterfaces:
  `MApplicationElement`, `MLocalizable`

    public interface MCommand
    extends MApplicationElement, MLocalizable

A representation of the model object 'Command'.

A Command represents a logical operation within the applicaiton. The implementation is provided by an MHandler chosen by examining all the candidate's enablement.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Command Name`
  - `Description`
  - `Parameters`
  - `Category`
  - `Localized Command Name`
  - `Localized Description`

### Method Summary

All Methods Instance Methods Abstract Methods
`MCategory` `getCategory()` Returns the value of the 'Category' reference.
`String` `getCommandName()` Returns the value of the 'Command Name' attribute.
`String` `getDescription()` Returns the value of the 'Description' attribute.
`String` `getLocalizedCommandName()` Returns the value of the 'Localized Command Name' attribute.
`String` `getLocalizedDescription()` Returns the value of the 'Localized Description' attribute.
`List<MCommandParameter>` `getParameters()` Returns the value of the 'Parameters' containment reference list.
`void` `setCategory​(MCategory value)` Sets the value of the '`Category`' reference.
`void` `setCommandName​(String value)` Sets the value of the '`Command Name`' attribute.
`void` `setDescription​(String value)` Sets the value of the '`Description`' attribute.

### Methods inherited from interface org.eclipse.e4.ui.model.application.MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MLocalizable

`updateLocalization`

### Method Detail

#### getCommandName

    String getCommandName()

Returns the value of the 'Command Name' attribute.

This field holds the command's name, used in the UI by default when there are menu or toolbar items representing this command.

Returns:
  the value of the 'Command Name' attribute.
See Also:
  `setCommandName(String)`

#### setCommandName

    void setCommandName​(String value)

Sets the value of the '`Command Name`' attribute.

Parameters:
  `value` - the new value of the 'Command Name' attribute.
See Also:
  `getCommandName()`

#### getDescription

    String getDescription()

Returns the value of the 'Description' attribute.

This field holds the command's description, used in the UI when the commands being shown in dialogs....

Returns:
  the value of the 'Description' attribute.
See Also:
  `setDescription(String)`

#### setDescription

    void setDescription​(String value)

Sets the value of the '`Description`' attribute.

Parameters:
  `value` - the new value of the 'Description' attribute.
See Also:
  `getDescription()`

#### getParameters

    List<MCommandParameter> getParameters()

Returns the value of the 'Parameters' containment reference list. The list contents are of type `MCommandParameter`.

This list defines the ste of parameters that this command expects to have defined during execution.

Returns:
  the value of the 'Parameters' containment reference list.

#### getCategory

    MCategory getCategory()

Returns the value of the 'Category' reference.

Developers: Add more detailed documentation by editing this comment in org.eclipse.ui.model.workbench/model/UIElements.ecore. There is a GenModel/documentation node under each type and attribute.

Returns:
  the value of the 'Category' reference.
See Also:
  `setCategory(MCategory)`

#### setCategory

    void setCategory​(MCategory value)

Sets the value of the '`Category`' reference.

Parameters:
  `value` - the new value of the 'Category' reference.
See Also:
  `getCategory()`

#### getLocalizedCommandName

    String getLocalizedCommandName()

Returns the value of the 'Localized Command Name' attribute.

Returns:
  the value of the 'Localized Command Name' attribute.

#### getLocalizedDescription

    String getLocalizedDescription()

Returns the value of the 'Localized Description' attribute.

Returns:
  the value of the 'Localized Description' attribute.